OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::Gui3D Class Reference

`#include <gui3D.hpp>`

Inherits op::Gui.

## Public Member Functions
| Gui3D (const Point< int > &outputSize, const bool fullScreen, const std::shared_ptr< std::atomic< bool >> &isRunningSharedPtr, const std::shared_ptr< std::pair< std::atomic< bool >, std::atomic< int >>> &videoSeekSharedPtr=nullptr, const std::vector< std::shared_ptr< PoseExtractorNet >> &poseExtractorNets={}, const std::vector< std::shared_ptr< FaceExtractorNet >> &faceExtractorNets={}, const std::vector< std::shared_ptr< HandExtractorNet >> &handExtractorNets={}, const std::vector< std::shared_ptr< Renderer >> &renderers={}, const PoseModel poseModel=PoseModel::BODY_25, const DisplayMode displayMode=DisplayMode::DisplayAll, const bool copyGlToCvMat=false)
virtual | ~Gui3D ()
virtual void | initializationOnThread ()
void | setKeypoints (const Array< float > &poseKeypoints3D, const Array< float > &faceKeypoints3D, const Array< float > &leftHandKeypoints3D, const Array< float > &rightHandKeypoints3D)
virtual void | update ()
virtual cv::Mat | readCvMat ()
Public Member Functions inherited from op::Gui
| Gui (const Point< int > &outputSize, const bool fullScreen, const std::shared_ptr< std::atomic< bool >> &isRunningSharedPtr, const std::shared_ptr< std::pair< std::atomic< bool >, std::atomic< int >>> &videoSeekSharedPtr=nullptr, const std::vector< std::shared_ptr< PoseExtractorNet >> &poseExtractorNets={}, const std::vector< std::shared_ptr< FaceExtractorNet >> &faceExtractorNets={}, const std::vector< std::shared_ptr< HandExtractorNet >> &handExtractorNets={}, const std::vector< std::shared_ptr< Renderer >> &renderers={}, const DisplayMode displayMode=DisplayMode::Display2D)
virtual | ~Gui ()
void | setImage (const cv::Mat &cvMatOutput)
void | setImage (const std::vector< cv::Mat > &cvMatOutputs)

## Additional Inherited Members
Protected Attributes inherited from op::Gui
std::shared_ptr< std::atomic < bool > > | spIsRunning
DisplayMode | mDisplayMode
DisplayMode | mDisplayModeOriginal

## Constructor & Destructor Documentation

op::Gui3D::Gui3D | ( | const Point< int > & | outputSize,
|  | const bool | fullScreen,
|  | const std::shared_ptr< std::atomic< bool >> & | isRunningSharedPtr,
|  | const std::shared_ptr< std::pair< std::atomic< bool >, std::atomic< int >>> & | videoSeekSharedPtr = `nullptr`,
|  | const std::vector< std::shared_ptr< PoseExtractorNet >> & | poseExtractorNets = `{}`,
|  | const std::vector< std::shared_ptr< FaceExtractorNet >> & | faceExtractorNets = `{}`,
|  | const std::vector< std::shared_ptr< HandExtractorNet >> & | handExtractorNets = `{}`,
|  | const std::vector< std::shared_ptr< Renderer >> & | renderers = `{}`,
|  | const PoseModel | poseModel = `PoseModel::BODY_25`,
|  | const DisplayMode | displayMode = `DisplayMode::DisplayAll`,
|  | const bool | copyGlToCvMat = `false`
| ) |  |

virtual op::Gui3D::~Gui3D | ( |  | ) |
| virtual

## Member Function Documentation

virtual void op::Gui3D::initializationOnThread | ( |  | ) |
| virtual

Reimplemented from op::Gui.

virtual cv::Mat op::Gui3D::readCvMat | ( |  | ) |
| virtual

void op::Gui3D::setKeypoints | ( | const Array< float > & | poseKeypoints3D,
|  | const Array< float > & | faceKeypoints3D,
|  | const Array< float > & | leftHandKeypoints3D,
|  | const Array< float > & | rightHandKeypoints3D
| ) |  |

virtual void op::Gui3D::update | ( |  | ) |
| virtual

Reimplemented from op::Gui.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gui/gui3D.hpp